"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKerberosDetails = void 0;
const asn_1_1 = require("@jlguenego/asn.1");
const ASN1MsgUtils_1 = require("@jlguenego/asn.1/build/src/ASN1MsgUtils");
const EncodingRule_1 = require("@jlguenego/asn.1/build/src/EncodingRule");
function getKerberosDetails(buffer) {
    const message = asn_1_1.ASN1.parseMsg(buffer, {
        encodingRule: EncodingRule_1.EncodingRule.DER,
    });
    const array = ASN1MsgUtils_1.ASN1MsgUtils.queryAll(message, 'tagLabel', 'GeneralString');
    const principalName = array
        .map((m) => m.value)
        .slice(1)
        .join('/');
    const realm = array[0].value;
    const result = {
        principalName,
        realm,
    };
    return result;
}
exports.getKerberosDetails = getKerberosDetails;
//# sourceMappingURL=kerberos.js.map